Andreas Schneider andreas.schneider at linux-gamers.net
Sat Oct 15 14:43:35 CDT 2005


I got wine compiling on x86_64 with some 32bit libs today and tested HL2 again.
Steam updates and works just fine, but if I want to start HL2 it always throws a
message "The latest version of Microsoft DirectX is required to play Half-Life 2"

I've updated the DirectX version string to the latest version


but this doesn't help. Could someone help me to debug for what else HL2 checks?

The console outputs only

fixme:d3d:IWineD3DImpl_GetDeviceCaps Caps support for directx9 is nonexistent at
the moment!


	-- andreas

http://www.linux-gamers.net - your online gaming resource

More information about the wine-devel mailing list